> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Specific User's Presence > Get a user's presence in the workspace (offline, busy, active, or away). ### Changelog | Version | Description | | ---------------- | ------------| |0.49.0 | Updated to support `userId` or `username` | |0.48.0 | Renamed to `users.getPresence` | |0.35.0 | Added | ## OpenAPI ````json GET /api/v1/users.getPresence { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.getPresence": { "get": { "summary": "Get Specific User's Presence", "operationId": "get-api-v1-users.getPresence", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "presence": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "presence": "offline", "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" }, { "schema": { "type": "string" }, "example": "BsNr28znDkG8aeo7W", "in": "query", "name": "userId", "description": "The user ID. Alternatively, you can enter the `username` parameter. If not provided, the user who sending the request is retrieved." } ], "tags": [ "Users" ], "description": "Get a user's presence in the workspace (offline, busy, active, or away).\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|0.49.0 | Updated to support `userId` or `username` |\n|0.48.0 | Renamed to `users.getPresence` |\n|0.35.0 | Added |" } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" } } } } ````